phing-tasks-system

# Class: ForeachTask Source Location: /tasks/system/ForeachTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --ForeachTask
<foreach> task #### Author(s): Hans Lellelid <hans@xmpl.org> Jason Hines <jason@greenhell.com> #### Version: $Revision: 527 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods createFileSet createProperty init main setAbsparam setDelimiter setList setParam setTarget
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 50] <foreach> task Task definition for the foreach task. This task takes a list with delimited values, and executes a target with set param. Usage: <foreach list="values" target="targ" param="name" delimiter="|" /> Attributes: list --> The list of values to process, with the delimiter character, indicated by the "delimiter" attribute, separating each value. target --> The target to call for each token, passing the token as the parameter with the name indicated by the "param" attribute. param --> The name of the parameter to pass the tokens in as to the target. delimiter --> The delimiter string that separates the values in the "list" parameter. The default is ",". #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
author: | Jason Hines <jason@greenhell.com>
version: | $Revision: 527 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method createFileSet [line 202]
`void createFileSet( )`
Nested creator, adds a set of files (nested fileset attribute). [ Top ] ### method createProperty [line 210]
`Property createProperty( )`
[ Top ] ### method init [line 79]
`void init( )`
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 91]
`void main( )`
This method does the work. Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setAbsparam [line 191]
`void setAbsparam( $absparam)`
#### Parameters:
| $absparam |
[ Top ] ### method setDelimiter [line 195]
`void setDelimiter( $delimiter)`
#### Parameters:
| $delimiter |
[ Top ] ### method setList [line 179]
`void setList( $list)`
#### Parameters:
| $list |
[ Top ] ### method setParam [line 187]
`void setParam( $param)`
#### Parameters:
| $param |
[ Top ] ### method setTarget [line 183]
`void setTarget( $target)`
#### Parameters:
| $target |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:01 +0200 by phpDocumentor 1.4.3